<%%= content_tag :tr do %>
  <% field_names.each do |field_name| %>
   <%%= content_tag :td, <%= singular_name %>.<%= field_name %>, class:"px-6 py-4 whitespace-nowrap text-sm font-medium text-gray-900" %>

  <% end %>

  <%%= content_tag :td, class:"px-6 py-4 whitespace-nowrap text-sm font-medium text-gray-900" do %>
    <%%= link_to "View", admin_<%= singular_name %>_path(<%= singular_name %>), class: "pr-2 whitespace-nowrap text-colorSecondary underline hover:text-colorPrimary" %>
    <%%= link_to "Edit", edit_admin_<%= singular_name %>_path(<%= singular_name %>), class: "px-2 whitespace-nowrap text-colorSecondary underline hover:text-colorPrimary" %>
    <%%= link_to "Destroy", admin_<%= singular_name %>_path(<%= singular_name %>), class: "text-red-600 mx-2", method: :delete, data: { confirm: t("defaults.confirm_delete") } %>
  <%% end %>
<%% end %>